Bug 846348 - Review Request: putty - SSH, Telnet and Rlogin client
Review Request: putty - SSH, Telnet and Rlogin client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On: 846346
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 10:20 EDT by Jaroslav Škarvada
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 20:24:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jvcelak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-08-07 10:20:34 EDT
Spec URL: http://fedorapeople.org/~jskarvad/putty.spec
SRPM URL: http://fedorapeople.org/~jskarvad/putty-0.62-1.fc17.src.rpm
Description: Putty is a SSH, Telnet & Rlogin client - this time for Linux.
Fedora Account System Username: jskarvad

This is re-review of putty, that was retired on 2012-08-06.
Comment 1 Jan Vcelak 2012-08-09 08:06:59 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

[!]: MUST Sources contain only permissible code or content.
     Putty icon is one of the sources while it can be generated using
	 the source codes: make -C icons putty-32.png
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.

Rpmlint
-------
Checking: putty-debuginfo-0.62-1.fc17.x86_64.rpm
          putty-0.62-1.fc17.x86_64.rpm
          putty-0.62-1.fc17.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint putty
putty.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
putty-debuginfo-0.62-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

putty-0.62-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libX11.so.6()(64bit)  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdl.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
putty-debuginfo-0.62-1.fc17.x86_64.rpm:
    
    putty-debuginfo = 0.62-1.fc17
    putty-debuginfo(x86-64) = 0.62-1.fc17

putty-0.62-1.fc17.x86_64.rpm:
    
    putty = 0.62-1.fc17
    putty(x86-64) = 0.62-1.fc17

MD5-sum check
-------------
http://the.earth.li/~sgtatham/putty/latest/putty-0.62.tar.gz :
  MD5SUM this package     : 1344b606a680a9036df0fc3a05e62e71
  MD5SUM upstream package : 1344b606a680a9036df0fc3a05e62e71


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -m fedora-17-putty-x86_64 -b 846348
External plugins:
Comment 2 Jaroslav Škarvada 2012-09-19 11:22:15 EDT
(In reply to comment #1)
Thanks for the review.
> Issues:
> 
> [!]: MUST Sources contain only permissible code or content.
>      Putty icon is one of the sources while it can be generated using
> 	 the source codes: make -C icons putty-32.png
>
Probably too pedantic. I think the current state is not against the guidelines, but no problem to generate it.

> [!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
>      Note: Clean is needed only if supporting EPEL
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> [!]: MUST Each %files section contains %defattr if rpm < 4.4
>      Note: defattr(....) present in %files section. This is OK if packaging
>      for EPEL5. Otherwise not needed
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
> [!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at
> the
>      beginning of %install.
>      Note: rm -rf is only needed if supporting EPEL5
>
All are no MUST, bug in fedora-review tool that should be fixed now. I am going to let it all there for future EPEL inclusion.

> [!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
>
I inherited the patch from previous maintainer, but no problem to add small comment.

New files:
Spec URL: http://fedorapeople.org/~jskarvad/putty.spec
SRPM URL: http://fedorapeople.org/~jskarvad/putty-0.62-2.fc17.src.rpm
Comment 3 Jan Vcelak 2012-09-20 03:47:53 EDT
Thanks. Approved.
Comment 4 Jaroslav Škarvada 2012-09-25 10:55:51 EDT
Package Change Request
======================
Package Name: putty
New Branches: f17 f18
Owners: jskarvad

Please unretire for f17, f18, master.
Comment 5 Gwyn Ciesla 2012-09-25 11:08:47 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-26 15:59:47 EDT
putty-0.62-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/putty-0.62-3.fc18
Comment 7 Fedora Update System 2012-09-26 17:22:55 EDT
Package putty-0.62-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing putty-0.62-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14862/putty-0.62-3.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-10 20:24:28 EST
putty-0.62-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.